%define gitdate 20111231
%define rel 2
Name: libkvkontakte
Version: 1.0
Release: %mkrel -c git %{gitdate} %{rel}
License: GPLv2+ 
Url: https://projects.kde.org/projects/kdereview/libkvkontakte/
Group: System/Libraries
# Source 
# git archive --remote=git://anongit.kde.org/libkvkontakte --prefix=libkvkontakte-%gitdate/ master --o libkvkontakte-%gitdate.tar
# xz -9 libkvkontakte-%gitdate.tar
Source0: %name-%gitdate.tar.xz
Summary: Library for asynchronous interaction with vkontakte social network  
BuildRequires: pkgconfig(QJson)
BuildRequires: kdelibs4-devel

%description
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

#------------------------------------------------------------------------------

%define libkvkontakte_major 1
%define libkvkontakte %mklibname kvkontakte %libkvkontakte_major

%package -n %libkvkontakte
Summary: Runtime library for %name

%description -n %libkvkontakte
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

This package provides the runtime library for %name


%files -n %libkvkontakte
%_kde_libdir/libkvkontakte.so.%{libkvkontakte_major}*

#------------------------------------------------------------------------------

%define libkvkontakte_devel %mklibname -d kvkontakte

%package -n %libkvkontakte_devel
Summary: Developpement headers for %name
Group: Development/C
Requires: %libkvkontakte = %version-%release
Provides: libkvkontakte-devel = %version-%release	

%description -n %libkvkontakte_devel

This package contains the libraries and headers files needed to develop
progams which make use of libkvkontakte library.

%files -n %libkvkontakte_devel
%_kde_libdir/libkvkontakte.so
%_kde_includedir/libkvkontakte/
%_kde_libdir/cmake/LibKVkontakte/

#------------------------------------------------------------------------------

%prep
%setup -q -n %name-%gitdate
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.git.20111231.mga3
+ Revision: 357622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 31 2011 mikala <mikala> 1.0-0.git.20111231.mga2
+ Revision: 189380
- Update git snapshot
- drop patch0 (merged)

* Thu Sep 08 2011 mikala <mikala> 1.0-0.git.20110908.mga2
+ Revision: 141463
- imported package libkvkontakte

